<div style="margin-bottom: 15px;">
    <ul class="nav justify-content-end" *jhiHasAnyAuthority="['ROLE_ADMIN']">
        <li class="nav-item">
            <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list" ></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
        </li>
    </ul>
    <div class="input-group w-100 mt-3">
        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
            name="currentSearch" placeholder="Find VSO">
        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
            <span class="fa fa-search"></span>
        </button>
        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
            <span class="fa fa-trash-o"></span>
        </button>                        
    </div>
    <p-dataTable
        [value]="orderItems"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        rowHover="true"
        dataKey="idOrderItem"
        (onLazyLoad)="loadDataLazy($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <!-- <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['order-item-popup-new-list', idOrders] } }]"><span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span></a>
                </li> -->
            </ul>
        </p-header>
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orders.orderNumber'|translate}}"  [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.orderNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderItem.idProduct'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.itemDescription}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orders.dateOrder'|translate}}" [style]="{'width': '120px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateOrder | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orders.customerName'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.customerName}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orderItem.idShipTo'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.shipToName}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.orders.salesmanName'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.salesmanName}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '100px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="buttonDisable == false">
                    <div *ngIf="rowData.currentStatus === 74">
                    <button pButton type="submit"
                        [routerLink]="['../vso-invoice/'+ rowData.ordersId + '/edit']"
                        icon="fa-pencil"
                        class="flat-button"
                        *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                    </button>
                    <button pButton type="button"
                        (click)="delete(rowData.idOrderItem)"
                        icon="fa-remove"
                        class="flat-button"
                        *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                    </button>
                    <button pButton type="submit"
                        (click)="generateVsb(rowData.idOrderItem)"
                        icon="fa-share"
                        class="flat-button"
                        *jhiHasAnyAuthority="['ROLE_ADMIN', 'ROLE_ADMSALES', 'ROLE_AFC']">
                    </button>
                    </div>
                </div>
            </ng-template>
        </p-column>
    </p-dataTable>
</div>
